using System;
using System.Data;
using System.Collections;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

/// <summary>
/// Summary description for DataSource
/// </summary>
/// 
[Serializable]
public class DataSource
{
    //private Hashtable _keyVals;
    //--- List of Products available
    private String[] _ProductNameList = {
                                        "Chai", "Chang", "Aniseed Syrup", "Chef Anton's Cajun Seasoning", "Chef Anton's Gumbo Mix", "Grandma's Boysenberry Spread",
                                        "Uncle Bob's Organic Dried Pears", "Northwoods Cranberry Sauce", "Mishi Kobe Niku", "Ikura", "Queso Cabrales", "Queso Manchego La Pastora",
                                        "Konbu", "Tofu", "Genen Shouyu", "Pavlova", "Alice Mutton", "Carnarvon Tigers", "Teatime Chocolate Biscuits", "Sir Rodney's Marmalade",
                                        "Sir Rodney's Scones", "Gustaf's Knckebrd", "Tunnbrd", "Guaran Fantstica", "NuNuCa Nu-Nougat-Creme", "Gumbr Gummibrchen",
                                        "Schoggi Schokolade", "Rssle Sauerkraut", "Thringer Rostbratwurst", "Nord-Ost Matjeshering", "Gorgonzola Telino", "Mascarpone Fabioli",
                                        "Geitost", "Sasquatch Ale", "Steeleye Stout", "Inlagd Sill", "Genen SHOuyu", /*"Gravad lax",*/ "Cte de Blaye", "Chartreuse verte",
                                        "Boston Crab Meat", "Ipoh Coffee", "Gula Malacca", "Rgede sild", "Spegesild", "Zaanse koeken", "Chocolade", "Maxilaku", "Valkoinen suklaa",
                                        "Filo Mix", "Perth Pasties", "Tourtire", "Pt chinois", "Ravioli Angelo", "Gudbrandsdalsost", "Outback Lager", "Fltemysost", "Rd Kaviar", "Longlife Tofu", "Lakkalikri"
                                        };

    private String[] _productCategory = { "General", "NCache", "TierDeveloper", "Alachisoft", "Diyatech", "NWebCache", "WebServiceAccelerator" };
    private String[] EmployeeFirstName = { "Nancy", "Andrew", "Janet", "Margaret", "Steven", "Michael", "Robert", "Laura", "Anne", "sada", "sada", "Nancy", "Malta" };
    private String[] EmployeeLastName = { "Buchanan", "Callahan", "Davolio", "Davolio", "Dodsworth", "eqeq", "eqeq", "Fuller", "Jalta", "King", "Leverling", "Peacock", "Suyama" };

    public Product[] LoadProducts(long TotalItems)
    {
        try
        {
            //_keyVals = new Hashtable();
            Product[] products = new Product[TotalItems];
            String[] ProductList = new String[TotalItems];

            if (TotalItems > _ProductNameList.Length)
            {
                for (int k = _ProductNameList.Length; k < TotalItems; k++)
                    ProductList[k] = "Kaka.Mana-" + k.ToString();

                _ProductNameList.CopyTo(ProductList, 0);
            }

            int productID = 0;
            Random rand = new Random();
            while (productID < ProductList.Length)
            {
                Product product = new Product();
                product.ProductID = productID + 1;
                if (TotalItems > _ProductNameList.Length)
                    product.ProductName = ProductList[productID];
                else
                    product.ProductName = _ProductNameList[productID];
                product.Supplier = rand.Next(1, 10);
                product.Category = _productCategory[rand.Next(0, 7)]; //(int)rand.Next(1, 8);
                product.UnitsAvailable = rand.Next(1, 1000);

                products[productID] = product;
                productID++;
            }

            return products;
        }
        catch (Exception e)
        {
            System.Diagnostics.Trace.WriteLine(e);
            return null;
        }
    }

    public Product[] LoadSameProducts(long TotalItems)
    {
        try
        {
            Product[] products = new Product[TotalItems];
            String[] ProductList = new String[TotalItems];

            if (TotalItems > _ProductNameList.Length)
            {
                for (int k = _ProductNameList.Length; k < TotalItems; k++)
                    ProductList[k] = "Kaka.Mana-" + k.ToString();

                _ProductNameList.CopyTo(ProductList, 0);
            }

            int productID = 0;
            int categoryID = 0;
            while (productID < ProductList.Length)
            {
                Product product = new Product();
                product.ProductID = productID + 1;
                if (TotalItems > _ProductNameList.Length)
                    product.ProductName = ProductList[productID];
                else
                    product.ProductName = _ProductNameList[productID];
                product.Supplier = productID;
                product.Category = _productCategory[categoryID];
                product.UnitsAvailable = 500;

                products[productID] = product;
                productID++;
                categoryID++;
                if (categoryID >= _productCategory.Length) categoryID = 0;
            }

            return products;
        }
        catch (Exception e)
        {
            System.Diagnostics.Trace.WriteLine(e);
            return null;
        }
    }

    //    public Hashtable LoadEmployees()
    //    {
    //        try
    //        {
    //            _keyVals = new Hashtable();
    //            String[] ProductList = new String[10058];

    //            for (int k = _ProductName.Length; k < 10000; k++)
    //            {
    //                ProductList[k] = "kakamana" + k.ToString();
    //            }
    //            _ProductName.CopyTo(ProductList, 0);

    //            int productID = 0;
    //            Random rand = new Random();
    //            while (productID < ProductList.Length)
    //            {
    //                Product product = new Product();
    //                product.ProductID = productID++;
    //                product.ProductName = ProductList[productID];
    //                product.Supplier = (int)rand.Next(1, 10);
    //                product.Category = (int)rand.Next(1, 8);
    //                product.UnitsAvailable = (int)rand.Next(1, 100);

    //                _keyVals[product.ProductID] = product;
    //            }
    //        }
    //        catch (Exception e)
    //        {
    //            System.Diagnostics.Trace.WriteLine(e);
    //        }
    //        return _keyVals;
    //    }

    public DataTable LoadProduct(int indexproductID)
    {
        DataTable ProductList = new DataTable();
        try
        {
            DataTable table = new DataTable();
            table.Columns.Add("ProductID", typeof(int));
            table.Columns.Add("ProductName", typeof(string));
            table.Columns.Add("Supplier", typeof(int));
            table.Columns.Add("Category", typeof(string));
            table.Columns.Add("UnitsAvailable", typeof(int));

            //
            // Here we add five DataRows.
            //
            table.Rows.Add(indexproductID, _ProductNameList[indexproductID], 3, _productCategory[indexproductID], 3);

            return table;
        }

        catch (Exception e)
        {
            System.Diagnostics.Trace.WriteLine(e);
            return null;
        }
    }

}
